<?php
	session_start();
	require ("./Funciones/funciones.php");
	$conexion = conecta();
	$nombre = $_REQUEST['nombre'];
	$apellidos = $_REQUEST['apellidos'];
	$email = $_REQUEST['correo'];
	$pass = $_REQUEST['pass'];
	$pass_txt = md5($pass);
	$id = $_GET['id'];
	$ruta="../imagenes";
	$archivo=$_FILES['imagen']['tmp_name'];
	$nombreArchivo=$_FILES['imagen']['name'];
	move_uploaded_file($archivo,$ruta."/".$nombreArchivo);
	$ruta=$ruta."/".$nombreArchivo;
	$activado = 1;
	$eliminado = 0;
	$sql= "SELECT * FROM datosadmin where correo='$email' OR idadmin ='$id'";
	$res = mysqli_query($conexion,$sql);
	

	$correo = mysqli_result($res, 0,"correo");
	$idadmin = mysqli_result($res, 0,"idadmin");
	$imagen = mysqli_result($res,0,"imagen");
	if($correo==$email && $id !=$idadmin){
		echo "Este correo ya esta registrado, intenta con otro.";
	}elseif($id==''){
		$sql = "INSERT INTO datosadmin VALUES (0, '$nombre','$apellidos','$email','$pass_txt','".$ruta."',$activado,$eliminado )";
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"administradores_lista.php\">Lista de administradores</a>");
		}
		else{
	    exit(header("Location: administradores_lista.php"));
	}
	}else{
		if($id == $idadmin){
		if($nombreArchivo!='')
			$sql= "UPDATE datosadmin SET nombre='$nombre',apellido='$apellidos',correo='$email',imagen='".$ruta."' WHERE idadmin='$id'";
		else{
			$sql= "UPDATE datosadmin SET nombre='$nombre',apellido='$apellidos',correo='$email',imagen='$imagen' WHERE idadmin='$id'";
		}
		$res = mysqli_query($conexion,$sql);
		if (headers_sent()) {
	    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"administradores_lista.php\">Lista de administradores</a>");
		}
		else{
	    exit(header("Location: administradores_lista.php"));
		}
	}
}	
?>
